Subject: bug#37242: orgtbl-to-tsv drops empty cell

From: Tak Kunihiro <[email-masked]>
Date: Thu, 05 Mar 2020 08:20:39 +0900

Dear Bastien,

>> What orgtbl-to-tsv/csv does is to convert delimiters.  In my opinion,
>> to drop out empty lines is overwork.
>
> Empty lines in csv/tsv files (when they are not part of a
> double-quoted field) are ignored or should be.
>
> For example, the Python CSV parser ignores them.
>
> So Org does the right thing at not reprensenting them at all IMHO.
>
>> This comes from orgtbl-to-generic.  I cannot tell the behavior from
>> docstring.  If this is not a bug, I feel like this behavior is random
>> one.
>
> Yes, I don't consider this a bug.  If you want to improve the
> documentation, can you submit a patch?

I tried to go though orgtbl-to-generic, but I cannot find out how the
line was dropped.  I'm okay, please close the bug.

-Tak